BlockCipherImpl< INFO, BASE > Class Template Reference

Provides a base implementation of Algorithm and SimpleKeyingInterface for block ciphers. More...

Inheritance diagram for BlockCipherImpl< INFO, BASE >:

## Public Member Functions

unsigned int | BlockSize () const
| Provides the block size of the algorithm. More...
Public Member Functions inherited from AlgorithmImpl< SimpleKeyingInterfaceImpl< TwoBases< BASE, INFO > > >
std::string | AlgorithmName () const
Public Member Functions inherited from SimpleKeyingInterfaceImpl< TwoBases< BASE, INFO > >
size_t | MinKeyLength () const
| The minimum key length used by the algorithm. More...
size_t | MaxKeyLength () const
| The maximum key length used by the algorithm. More...
size_t | DefaultKeyLength () const
| The default key length used by the algorithm. More...
size_t | GetValidKeyLength (size_t keylength) const
| Provides a valid key length for the algorithm. More...
SimpleKeyingInterface::IV_Requirement | IVRequirement () const
| The default IV requirements for the algorithm. More...
unsigned int | IVSize () const
| The default initialization vector length for the algorithm. More...

## Additional Inherited Members

Static Public Member Functions inherited from AlgorithmImpl< SimpleKeyingInterfaceImpl< TwoBases< BASE, INFO > > >
static std::string | StaticAlgorithmName ()

## Detailed Description

### template<class INFO, class BASE = BlockCipher>
class BlockCipherImpl< INFO, BASE >

Provides a base implementation of Algorithm and SimpleKeyingInterface for block ciphers.

Template Parameters

  INFO | a SimpleKeyingInterface derived class
  BASE | a SimpleKeyingInterface derived class

BlockCipherImpl() provides a default implementation for block ciphers using AlgorithmImpl() and SimpleKeyingInterfaceImpl(). Functions are virtual and not eligible for C++11 `constexpr`-ness.

See also
  Algorithm(), SimpleKeyingInterface(), AlgorithmImpl(), SimpleKeyingInterfaceImpl()

Definition at line 326 of file seckey.h.

## Member Function Documentation

## BlockSize()

template<class INFO, class BASE = BlockCipher>

unsigned int BlockCipherImpl< INFO, BASE >::BlockSize | ( |  | ) | const

inline

Provides the block size of the algorithm.

Returns
  the block size of the algorithm, in bytes

Definition at line 331 of file seckey.h.

The documentation for this class was generated from the following file:

- seckey.h